package info.aspirecn.cloud.yysj.service;

import info.aspirecn.cloud.yysj.entity.ChargeRecordRes;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * date: 2018/10/23 14:49
 *
 * @author zhangxinhong
 * Description:
 */
@FeignClient(value = "http://iov-sjjh-servicenode-order.iov-sjjh:8080",url = "http://iov-sjjh-servicenode-order.iov-sjjh:8080")
//@FeignClient(value = "http://10.8.18.171:20181", url = "http://10.8.18.171:20181")
public interface OrderActionInterface {
    /**
     * 获取充值记录列表
     * @param userNids  逗号分隔
     * @param startTime
     * @param endTime
     * @return
     */
    @RequestMapping(value = "/getChargeList.do", method = RequestMethod.GET)
    public ChargeRecordRes getChargeList(@RequestParam("userNids") String userNids,
                                         @RequestParam("startTime") String startTime,
                                         @RequestParam("endTime") String endTime,
                                         @RequestParam("pageNum") int pageNum,
                                         @RequestParam("pageSize") int pageSize);
}
