package info.aspirecn.cloud.yysj.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Email:lixinxu@aspirecn.com
 * Descrption:数据交互充值记录实体
 */
@Data
@ApiModel(description = "充值记录信息")
public class ChargeInfo{
    @ApiModelProperty("用户nid")
    private Integer userNid;
    @ApiModelProperty("企业名称")
    private String enterpriseName;
    @ApiModelProperty("客户id")
    private String customerId;
    @ApiModelProperty("充值金额")
    private Long money;
    @ApiModelProperty("充值日期")
    private String date;
    @ApiModelProperty("充值类型")
    private String chargeType;
}
