package info.aspirecn.cloud.yysj.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 充值记录
 *
 * @author lixinxu
 */
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class RechargeInfo {

    @ApiModelProperty(value = "编号")
    private	String	id;

    @ApiModelProperty(value = "时间")
    private	String	time;

    @ApiModelProperty(value = "价格")
    private	String	price;

    @ApiModelProperty(value = "充值类型, 0:未转账; 1:已转账; 2:调账")
    private	String	type;

    @ApiModelProperty(value = "充值状态, 0:失败; 1:成功")
    private	String	status;

}
